# Cancel Consignment

This transaction is used to remove the consignments that the current user is currently consigning, but the consignment needs to be unlocked.

```rust
/// Cancels a consignment that the current user is currently consigning.
///
/// This function removes the consignment order for the specified territory name, 
/// but the consignment needs to be unlocked before it can be canceled.
///
/// # Arguments
///
/// * `territory_name` - A reference to a string slice that holds the name of the territory
///                      associated with the consignment order to be canceled.
///
/// # Returns
///
/// This function returns a `Result` which is:
/// * `Ok((TxHash, CancelConsignment))` - A tuple containing the transaction hash and the `CancelConsignment` struct.
/// * `Err(Box<dyn std::error::Error>)` - An error if the transaction fails.
///
pub async fn cancel_consignment(
    &self,
    territory_name: &str,
) -> Result<(TxHash, CancleConsignment), Box<dyn std::error::Error>> 
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.cess.network/developer/cess-sdk/sdk-rust/chain/storage_handler/cancel_consignment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
